/*    ILFIVE lisp objects library -- control structures
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>

#include <shpell5.h>

int theif(int n)

  {
  cell rv;

  rv = *vacc(0);
  drop();
  if(length(rv)<3)
    slex("if syntax is (if cond then [else]).");
  if(leval(cadr(rv))==NIL)
    {
    if(is_cons(cdddr(rv)))
      push(leval(cadddr(rv)));
    else
      push(NIL);
    }
  else
    push(leval(caddr(rv)));
  return 1;  /* faster is possible */
  }

int thewhile(int n)

  {
  cell rv;
  cell wl;
  cell t;

  rv = *vacc(0);
  drop();
  if(length(rv)<2)
    slex("while syntax is (while cond expr*).");
  while(leval(cadr(rv))!=NIL)
    {
    for(wl=cddr(rv); wl!=NIL; wl=cdr(wl))
      t = leval(car(wl));
    }
  push(t);
  return 1;  /* faster is possible */
  }

int themem(int n)

  {
  if(n==-1)
    n=0;
  if(n!=0)
    slex("Call mem just so: (mem).");
  memstat();
  push(NIL);
  return 1;
  }

il5ctrl()

  {
  bind(esym("if"), maks(theif));
  bind(esym("while"), maks(thewhile));
  bind(esym("mem"), makf(themem));
  }

/* End of il5ctrl module */


