/*    ILFIVE lisp objects library -- attempt to objects with redefinable structure
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>

#include <shpell5.h>

OBJT_ENTRY objt[MAX_OBJTE];
int objtsize;
int objk;

int locate_objt(cell obn)

{
	int i;

	for(i=0; i<objtsize; i++)
		if(objt[i].objt_name==obn)
			return i;
	return -1;
}

int def_objt(cell name)  /* in case name is changed, object type is redefined */
                         /* 0 is returned if error and 1 if success */


{
	int k;

	k = locate_objt(name);
	if(k==-1)
		{
		if(objtsize>=MAX_OBJTE)
			return 0;
		k = objtsize;
		objtsize++;
		}
	objt[k].objt_name = name;
	objt[k].objt_new = (cell (*)())NULL;
	objt[k].objt_delete = (int (*)(cell))NULL;
	objt[k].objt_read = (cell (*)(cell))NULL;
	objt[k].objt_prin1 = (int (*)(cell, cell))NULL;
	objt[k].objt_princ = (int (*)(cell, cell))NULL;
	objt[k].objt_mark = (int (*)(cell))NULL;

/*
copy
equal
eql
*/

	return 1;
}

int def_new_er(cell name, cell (* f)())

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_new = f;
	return 1;
}

int def_delete_er(cell name, int (* f)(cell ob))

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_delete = f;
	return 1;
}

int def_read_er(cell name, cell (* f)(cell cs))

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_read = f;
	return 1;
}

int def_prin1_er(cell name, int (* f)(cell ob, cell cs))

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_prin1 = f;
	return 1;
}

int def_princ_er(cell name, int (* f)(cell ob, cell cs))

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_princ = f;
	return 1;
}

int def_mark_er(cell name, int (* f)(cell ob))

{
	int k;

	k = locate_objt(name);
	if(k==-1)
		return 0;
	objt[k].objt_mark = f;
	return 1;
}

il5obj()
{
  int i;

  objtsize = 0;
  for(i=0; i<MAX_OBJTE; i++)
	 objt[i].objt_name = NIL;
}

/* End of the universal object type register functions */
