/*    ILFIVE lisp objects library -- global variables
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <shpell5.h>

/* \section{host I/O description} */

short termlevel;   /* \subject{termlevel} */

  /* Should be: PLAIN_CHAR for simple character terminal,
   *            PLAIN_GRAPHIC for terminal able to display
   *            graphics in newly generated viewport
   *            WIN_CHAR for terminal able to windowing through
   *            curses and WIN_GRAPHIC for the same but graphic.
   */

short cardtype;    /* \subject{cardtype} */

  /* one of CGA_CARD, EGA_CARD, MDA_CARD, HERCULES_CARD or VGA_CARD */

/* \section{streams opened at initialisation} */

cell csout;    /* \subject{csout} standard output */
cell csin;     /* \subject{csin} standard input */
cell cserr;    /* \subject{cserr} standard error */
cell cskbd;    /* \subject{cskbd} the keyboard */
cell csnav;    /* \subject{csnav} the navigator */

il5vars()

  {
  }


/* End of the system-wide variables */
