/*    ILFIVE lisp objects library -- attempt to a new API
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <malloc.h>

#include "ilsix.h"


/*--
\end{code}

\section{ILSIX implementation}

\ImplementationNotes{ 
% How implementation of the whole package is done: algorithms---if special,
% implementation decisions, discarded implementation alternatives
}
\Portability{ % What is assumed about the operating environment
}
\Changes{ % that are anticipated, if special provision was made for them
}

\begin{code}
--*/



/*--
\end{code}

\subsection{Symbols} % The package name, and the fact it is the body here

\ImplementationNotes{ 
% How implementation of the whole package is done: algorithms---if special,
% implementation decisions, discarded implementation alternatives
}
\Portability{ % What is assumed about the operating environment
}
\Changes{ % that are anticipated, if special provision was made for them
}

\begin{code}
--*/

cell cl_make_symbol(char *s)

{
  return esym(s);
}


/*--
\end{code}

\subsection{Numbers}

\ImplementationNotes{ 
% How implementation of the whole package is done: algorithms---if special,
% implementation decisions, discarded implementation alternatives
}
\Portability{ % What is assumed about the operating environment
}
\Changes{ % that are anticipated, if special provision was made for them
}

\begin{code}
--*/

cell cl_make_integer(long v)

{
  return make(BINARY, v);
}


/*--
\end{code}

\subsection{cl_consp}

\ImplementationNotes{ 
% How implementation of the whole package is done: algorithms---if special,
% implementation decisions, discarded implementation alternatives
}
\Portability{ % What is assumed about the operating environment
}
\Changes{ % that are anticipated, if special provision was made for them
}

\begin{code}
--*/

short cl_consp(cell c)

{
  if(c!=NIL && is_cons(c))
    return 1;
  else
    return 0;
}

/*--
\end{code}

\subsection{Strings}

\ImplementationNotes{ 
% How implementation of the whole package is done: algorithms---if special,
% implementation decisions, discarded implementation alternatives
}
\Portability{ % What is assumed about the operating environment
}
\Changes{ % that are anticipated, if special provision was made for them
}

\begin{code}
--*/

cell cl_make_string(char *s)

{
  return strbuild(s);
}

/*--
\end{code}

% MOVE THIS COMMENT TO THE END OF THE FILE
\endoffile

--*/

