/*    ILFIVE lisp objects library -- header of new API attempt
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/

#ifdef _MSDOS_
#include <ilfive/shpell5.h>
#else
#include <shpell5.h>
#endif

/*--
\end{code}

\section{ILSIX} 

\PackagePurpose{  % be short
Contains a regular inteface to the functions in the ILFIVE 
library. This interface follows the
CommonLisp Level 2 standard as much as possible.
}
\FunctionInterraction{ 

}
\Exceptions{
}
\GlobalEffects{
% Global effects on exported or external variables
}
\Preconditions{
% Conditions to be met when the package starts to be used
}
\Performance{
% How it is, not why and what to do
}

\begin{code}
--*/


/*--
\end{code}

\subsection{Symbols}
% The name of the package is expected to be prezent,
% normally in the proper ``section'' specification above.

\PackagePurpose{  % be short
}
\FunctionInterraction{ 
% The order in which functions are expected to be called
% The way to use the package in general
}
\Exceptions{
}
\GlobalEffects{
% Global effects on exported or external variables
}
\Preconditions{
% Conditions to be met when the package starts to be used
}
\Performance{
% How it is, not why and what to do
}

\begin{code}
--*/

cell cl_make_symbol(char *s);


/*--
\end{code}

\subsection{Numbers}
% The name of the package is expected to be prezent,
% normally in the proper ``section'' specification above.

\PackagePurpose{  % be short
}
\FunctionInterraction{ 
% The order in which functions are expected to be called
% The way to use the package in general
}
\Exceptions{
}
\GlobalEffects{
% Global effects on exported or external variables
}
\Preconditions{
% Conditions to be met when the package starts to be used
}
\Performance{
% How it is, not why and what to do
}

\begin{code}
--*/

cell cl_make_integer(long v);


/*--
\end{code}

\subsection{Conses} 
% The name of the package is expected to be prezent,
% normally in the proper ``section'' specification above.

\PackagePurpose{  % be short
}
\FunctionInterraction{ 
% The order in which functions are expected to be called
% The way to use the package in general
}
\Exceptions{
}
\GlobalEffects{
% Global effects on exported or external variables
}
\Preconditions{
% Conditions to be met when the package starts to be used
}
\Performance{
% How it is, not why and what to do
}

\begin{code}
--*/

short cl_consp(cell c);

/*--
\end{code}

\subsection{Strings} 
% The name of the package is expected to be prezent,
% normally in the proper ``section'' specification above.

\PackagePurpose{
Implements the functions in the strings section (Chapter 16)
in the CommonLisp ANSI Draft X3J13/93-102 document. 
}
\FunctionInterraction{ 
}
\Exceptions{
}
\GlobalEffects{
% Global effects on exported or external variables
}
\Preconditions{
% Conditions to be met when the package starts to be used
}
\Performance{
% How it is, not why and what to do
}

\begin{code}
--*/

cell cl_make_string(char *s);

/*--
\end{code}

% MOVE THIS COMMENT TO THE END OF THE FILE
\endoffile

--*/

